Subject: Re: bug#26713: [PATCH] gnu: Move netsurf to web-browsers.scm.

From: Kei Kebreau <[email-masked]>
Date: Mon, 08 May 2017 11:17:39 -0400

Marius Bakke <[email-masked]> writes:

> Kei Kebreau <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> writes:
>>>
>>> There are other things using netsurf-build-system as well, so I would
>>> just leave it for now.
>>
>> I intend to copy, not move, netsurf-build-system into web-browsers.scm
>> so that NetSurf can build.
>
> There are many other packages in web.scm using netsurf-build-system. IMO
> it would be "cleaner" to have all that in a "netsurf" module, but I'm not
> sure if it's worth the hassle.
>
> The current patch duplicates netsurf-build-system, which means we have
> to maintain it two different places. I think we should avoid that.
>

Another option is moving all of the "NetSurf components" into
web-browsers.scm. None of them are depended on by anything but NetSurf
and each other.

>>> Also some copyright information is missing in the patch.
>>
>> What information in particular?
>
> Netsurf was added in 2016, but web-browsers.scm only includes 2017.

Okay, this was fixed in the patch I just submitted.